Bug 217950 (CVE-2006-6169) - CVE-2006-6169: gnupg2 < 2.0.1 buffer overflow
Summary: CVE-2006-6169: gnupg2 < 2.0.1 buffer overflow
Status: CLOSED NEXTRELEASE
Alias: CVE-2006-6169
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: impact=low,public=20061124,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-30 21:08 UTC by Ville Skyttä
Modified: 2018-08-15 22:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-01 15:02:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-11-30 21:08:47 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2006-6171

"Buffer overflow in the ask_outfile_name function in openfile.c for GnuPG (gpg)
1.4 and 2.0, when running interactively, might allow attackers to execute
arbitrary code via messages that cause the make_printable_string function to
return a longer string than expected while constructing a prompt."

FE[3456] seem affected, devel looks ok.

Comment 1 Rex Dieter 2006-11-30 21:19:27 UTC
Yucky. FC-6+ should already be fine.  Older releases need patching.

Comment 2 Ville Skyttä 2006-11-30 22:13:55 UTC
Unless I'm missing something, the upstream fix is not in FE6's 2.0.1rc1, but
only in devel's 2.0.1 final.
http://cvs.gnupg.org/cgi-bin/viewcvs.cgi/branches/STABLE-BRANCH-1-4/g10/openfile.c?rev=4349&r1=4215&r2=4349


Comment 3 Rex Dieter 2006-12-01 12:40:37 UTC
OK, though that's contrary to what the dev's said on the gpg-dev mailing list, I
was planning on upgrading FC-6 to 2.0.1 final asap anyway.

Comment 4 Rex Dieter 2006-12-01 15:02:17 UTC
Okey dokie, builds queue'd for remaining vulnerable releases:

FC-6+:
* Wed Nov 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.0.1-1
- gnupg-2.0.1
- CVE-2006-6169 (bug #217950)

FC-3/4/5:
* Fri Dec 01 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.9.22-8
- CVE-2006-6169 (bug #217950)
- --disable-optmization on 64bit archs


Note You need to log in before you can comment on or make changes to this bug.